# Class PgpKeyId

java.lang.Object
org.gradle.plugins.signing.signatory.pgp.PgpKeyId

All Implemented Interfaces:
  `Comparable<PgpKeyId>`

public class PgpKeyId extends Object implements Comparable<PgpKeyId>
A normalised form for keys, which are friendliest for users as hex strings but used internally as longs.

## Constructor Summary

Constructors
Constructor
Description
`PgpKeyId(long keyId)`
`PgpKeyId(String keyId)`
`PgpKeyId(org.bouncycastle.openpgp.PGPPublicKey keyId)`
`PgpKeyId(org.bouncycastle.openpgp.PGPSignature signature)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(PgpKeyId other)`
`boolean`
`equals(Object other)`
`final String`
`getAsHex()`
`final long`
`getAsLong()`
`int`
`hashCode()`
`static String`
`toHex(long keyId)`
`static long`
`toLong(String keyId)`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PgpKeyId

public PgpKeyId(long keyId)

### PgpKeyId

public PgpKeyId(org.bouncycastle.openpgp.PGPPublicKey keyId)

### PgpKeyId

public PgpKeyId(org.bouncycastle.openpgp.PGPSignature signature)

### PgpKeyId

public PgpKeyId(String keyId)

## Method Details

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### compareTo

public int compareTo(PgpKeyId other)

Specified by:
  `compareTo` in interface `Comparable<PgpKeyId>`

### getAsHex

public final String getAsHex()

### getAsLong

public final long getAsLong()

### toHex

public static String toHex(long keyId)

### toLong

public static long toLong(String keyId)